Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706724 - net-analyzer/yersinia-0.8.2 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/yersinia-0.8.2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:41 UTC by Toralf Förster
Modified: 2020-01-28 15:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.71 KB, text/plain)
2020-01-27 17:41 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,95.96 KB, text/plain)
2020-01-27 17:41 UTC, Toralf Förster
Details
environment (environment,58.12 KB, text/plain)
2020-01-27 17:41 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.04 KB, application/x-bzip)
2020-01-27 17:41 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,10.56 KB, application/x-bzip)
2020-01-27 17:42 UTC, Toralf Förster
Details
net-analyzer:yersinia-0.8.2:20200127-161654.log (net-analyzer:yersinia-0.8.2:20200127-161654.log,45.19 KB, text/plain)
2020-01-27 17:42 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.33 KB, application/x-bzip)
2020-01-27 17:42 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:41:47 UTC
x86_64-pc-linux-gnu-gcc `/usr/bin/libnet-config --defines` -DHAVE_CONFIG_H -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -I. -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600  -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/uuid -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/atk-1.0 -pthread     -O2 -pipe -march=native -fno-common -c -o gtk-support.o gtk-support.c
x86_64-pc-linux-gnu-gcc `/usr/bin/libnet-config --defines` -DHAVE_CONFIG_H -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -I. -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600  -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/uuid -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/atk-1.0 -pthread     -O2 -pipe -march=native -fno-common -c -o gtk-interface.o gtk-interface.c
x86_64-pc-linux-gnu-gcc `/usr/bin/libnet-config --defines` -DHAVE_CONFIG_H -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -I. -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600  -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/uuid -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/atk-1.0 -pthread     -O2 -pipe -march=native -fno-common -c -o gtk-callbacks.o gtk-callbacks.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o yersinia xstp.o parser.o dtp.o cdp.o dhcp.o hsrp.o dot1q.o vtp.o arp.o isl.o dot1x.o mpls.o thread-util.o terminal.o interfaces.o attack.o yersinia.o md5.o md5-sum.o protocols.o dlist.o ncurses-gui.o ncurses-callbacks.o ncurses-interface.o gtk-gui.o gtk-support.o gtk-interface.o gtk-callbacks.o  -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype   -lpthread -lrt -lnsl -lresolv  -lpcap -lnet -lpanel -lncurses -ltinfo 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: parser.o:(.bss+0x20): multiple definition of `protocols'; xstp.o:(.bss+0x20): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: parser.o:(.bss+0x0): multiple definition of `interfaces'; xstp.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 15:46:20 +0000

emerge -qpvO net-analyzer/yersinia
[ebuild  N    ] net-analyzer/yersinia-0.8.2  USE="gtk ncurses"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:41:50 UTC
Created attachment 605592 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:41:52 UTC
Created attachment 605594 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:41:55 UTC
Created attachment 605596 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:41:59 UTC
Created attachment 605598 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:42:02 UTC
Created attachment 605600 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:42:05 UTC
Created attachment 605602 [details]
net-analyzer:yersinia-0.8.2:20200127-161654.log
Comment 7 Toralf Förster gentoo-dev 2020-01-27 17:42:08 UTC
Created attachment 605604 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-28 15:38:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5411d69bbb5c15708e610866f4782c73439634f3

commit 5411d69bbb5c15708e610866f4782c73439634f3
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-28 15:30:23 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-28 15:38:24 +0000

    net-analyzer/yersinia: Set CFLAGS=-fcommon
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/706724
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/yersinia/yersinia-0.8.2.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)